$(document).ready(function(){
	function getNum(val){
	    if (isNaN(val)) 
			return 0;
	    else
			return val;
	}
	
	$("#calc_btn").click(function(){
		var vklad_sum = $("input[name=vklad_sum]").val();
		var vklad_srok = $("input[name=vklad_srok]").val();	
		
		if(vklad_sum != '' && vklad_srok != ''){
			$.post("vklad_calc.php",{sum:vklad_sum, srok:vklad_srok},function(vklad_data){
				if(vklad_data != '0'){
					$("#vklad_rez").html(vklad_data);
					$("#calc_form").trigger('reset');

					var popID = 'vklad_rez'; //Get Popup Name
					var popURL = '#?w=800'; //Get Popup href to define size
					 
					//Pull Query & Variables from href URL
					var query= popURL.split('?');
					var dim= query[1].split('&');
					var popWidth = dim[0].split('=')[1]; //Gets the first query string value
				 
					//Fade in the Popup and add close button
					$('#' + popID).fadeIn().css({ 'width': Number( popWidth ) }).prepend('<a href="#" class="btn_close" title="Закрыть окно" alt="Закрыть окно"></a>');
				 
					//Define margin for center alignment (vertical   horizontal) - we add 80px to the height/width to accomodate for the padding  and border width defined in the css
					var popMargTop = ($('#' + popID).height() + 50) / 2;
					var popMargLeft = ($('#' + popID).width() + 80) / 2;
				 
					//Apply Margin to Popup
					$('#' + popID).css({
						'margin-top' : -popMargTop,
						'margin-left' : -popMargLeft
					});
					//Fade in Background
					$('body').append('<div id="fade"></div>'); //Add the fade layer to bottom of the body tag.
					$('#fade').css({'filter' : 'alpha(opacity=10)'}).fadeIn(); //Fade in the fade layer - .css({'filter' : 'alpha(opacity=80)'}) is used to fix the IE Bug on fading transparencies 
					
					$("#rez_scroll").mCustomScrollbar();
				 
					return false;				
				}
				else{
					$("#calc_mes").html("Проверьте правильность заполнения полей!").css("background", "#fa7272").fadeIn().delay(2000).fadeOut();
				}
			});
		}
		else{
			$("#calc_mes").html("Заполните пожалуйста все обязательные поля!").css("background", "#fa7272").fadeIn().delay(2000).fadeOut();
		}
	});
});